## GocRectangle

GocRectangle — Rectangle.

## Properties

double | height | Read / Write
double | rotation | Read / Write
double | rx | Read / Write
double | ry | Read / Write
int | type | Read / Write
double | width | Read / Write
double | x | Read / Write
double | y | Read / Write

## Types and Values

| GocRectangle
typedef | GocRectangleClass

## Object Hierarchy

        GObject
        ╰── GocItem
            ╰── GocStyledItem
                ╰── GocRectangle

## Implemented Interfaces

GocRectangle implements GOStyledObject.

## Description

GocPolygon implements rectangle drawing in the canvas.

## Functions

## Types and Values

### GocRectangle

    typedef struct _GocRectangle GocRectangle;

### GocRectangleClass

    typedef GocStyledItemClass GocRectangleClass;

## Property Details

### The `“height”` property

      “height”                   double

The rectangle height.

Owner: GocRectangle

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“rotation”` property

      “rotation”                 double

The rotation around top left position.

Owner: GocRectangle

Flags: Read / Write

Allowed values: [0,6.28319]

Default value: 0

### The `“rx”` property

      “rx”                       double

The round rectangle rx.

Owner: GocRectangle

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“ry”` property

      “ry”                       double

The round rectangle ry.

Owner: GocRectangle

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“type”` property

      “type”                     int

The rectangle type: 0 for no rounded corner, 1 for rounded top left, 2 for top right, 4 for bottom right, 8 for bottom left, or any combination of these.

Owner: GocRectangle

Flags: Read / Write

Allowed values: [0,15]

Default value: 0

### The `“width”` property

      “width”                    double

The rectangle width.

Owner: GocRectangle

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“x”` property

      “x”                        double

The rectangle left position (or right position in RTL mode).

Owner: GocRectangle

Flags: Read / Write

Default value: 0

### The `“y”` property

      “y”                        double

The rectangle top position.

Owner: GocRectangle

Flags: Read / Write

Default value: 0